#!/bin/sh
# This script was generated using Makeself 2.3.0

ORIG_UMASK=`umask`
if test "n" = n; then
    umask 077
fi

CRCsum="1786613380"
MD5="f7e14c106c33dcc28cc9bce52b7dd7fe"
TMPROOT=${TMPDIR:=/tmp}
USER_PWD="$PWD"; export USER_PWD

label="Waveshare SPI Touchdisplay Setup für den Konsolenmodus"
script="./setup.sh"
scriptargs=""
licensetxt=""
helpheader=''
targetdir="waveshare-setup"
filesizes="30720"
keep="n"
nooverwrite="n"
quiet="n"

print_cmd_arg=""
if type printf > /dev/null; then
    print_cmd="printf"
elif test -x /usr/ucb/echo; then
    print_cmd="/usr/ucb/echo"
else
    print_cmd="echo"
fi

unset CDPATH

MS_Printf()
{
    $print_cmd $print_cmd_arg "$1"
}

MS_PrintLicense()
{
  if test x"$licensetxt" != x; then
    echo "$licensetxt"
    while true
    do
      MS_Printf "Please type y to accept, n otherwise: "
      read yn
      if test x"$yn" = xn; then
        keep=n
	eval $finish; exit 1
        break;
      elif test x"$yn" = xy; then
        break;
      fi
    done
  fi
}

MS_diskspace()
{
	(
	if test -d /usr/xpg4/bin; then
		PATH=/usr/xpg4/bin:$PATH
	fi
	df -kP "$1" | tail -1 | awk '{ if ($4 ~ /%/) {print $3} else {print $4} }'
	)
}

MS_dd()
{
    blocks=`expr $3 / 1024`
    bytes=`expr $3 % 1024`
    dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
    { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
      test $bytes  -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}

MS_dd_Progress()
{
    if test x"$noprogress" = xy; then
        MS_dd $@
        return $?
    fi
    file="$1"
    offset=$2
    length=$3
    pos=0
    bsize=4194304
    while test $bsize -gt $length; do
        bsize=`expr $bsize / 4`
    done
    blocks=`expr $length / $bsize`
    bytes=`expr $length % $bsize`
    (
        dd ibs=$offset skip=1 2>/dev/null
        pos=`expr $pos \+ $bsize`
        MS_Printf "     0%% " 1>&2
        if test $blocks -gt 0; then
            while test $pos -le $length; do
                dd bs=$bsize count=1 2>/dev/null
                pcent=`expr $length / 100`
                pcent=`expr $pos / $pcent`
                if test $pcent -lt 100; then
                    MS_Printf "\b\b\b\b\b\b\b" 1>&2
                    if test $pcent -lt 10; then
                        MS_Printf "    $pcent%% " 1>&2
                    else
                        MS_Printf "   $pcent%% " 1>&2
                    fi
                fi
                pos=`expr $pos \+ $bsize`
            done
        fi
        if test $bytes -gt 0; then
            dd bs=$bytes count=1 2>/dev/null
        fi
        MS_Printf "\b\b\b\b\b\b\b" 1>&2
        MS_Printf " 100%%  " 1>&2
    ) < "$file"
}

MS_Help()
{
    cat << EOH >&2
${helpheader}Makeself version 2.3.0
 1) Getting help or info about $0 :
  $0 --help   Print this message
  $0 --info   Print embedded info : title, default target directory, embedded script ...
  $0 --lsm    Print embedded lsm entry (or no LSM)
  $0 --list   Print the list of files in the archive
  $0 --check  Checks integrity of the archive

 2) Running $0 :
  $0 [options] [--] [additional arguments to embedded script]
  with following options (in that order)
  --confirm             Ask before running embedded script
  --quiet		Do not print anything except error messages
  --noexec              Do not run embedded script
  --keep                Do not erase target directory after running
			the embedded script
  --noprogress          Do not show the progress during the decompression
  --nox11               Do not spawn an xterm
  --nochown             Do not give the extracted files to the current user
  --target dir          Extract directly to a target directory
                        directory path can be either absolute or relative
  --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  --                    Following arguments will be passed to the embedded script
EOH
}

MS_Check()
{
    OLD_PATH="$PATH"
    PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
	MD5_ARG=""
    MD5_PATH=`exec <&- 2>&-; which md5sum || command -v md5sum || type md5sum`
    test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || command -v md5 || type md5`
	test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || command -v digest || type digest`
    PATH="$OLD_PATH"

    if test x"$quiet" = xn; then
		MS_Printf "Verifying archive integrity..."
    fi
    offset=`head -n 524 "$1" | wc -c | tr -d " "`
    verb=$2
    i=1
    for s in $filesizes
    do
		crc=`echo $CRCsum | cut -d" " -f$i`
		if test -x "$MD5_PATH"; then
			if test x"`basename $MD5_PATH`" = xdigest; then
				MD5_ARG="-a md5"
			fi
			md5=`echo $MD5 | cut -d" " -f$i`
			if test x"$md5" = x00000000000000000000000000000000; then
				test x"$verb" = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
			else
				md5sum=`MS_dd_Progress "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
				if test x"$md5sum" != x"$md5"; then
					echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
					exit 2
				else
					test x"$verb" = xy && MS_Printf " MD5 checksums are OK." >&2
				fi
				crc="0000000000"; verb=n
			fi
		fi
		if test x"$crc" = x0000000000; then
			test x"$verb" = xy && echo " $1 does not contain a CRC checksum." >&2
		else
			sum1=`MS_dd_Progress "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
			if test x"$sum1" = x"$crc"; then
				test x"$verb" = xy && MS_Printf " CRC checksums are OK." >&2
			else
				echo "Error in checksums: $sum1 is different from $crc" >&2
				exit 2;
			fi
		fi
		i=`expr $i + 1`
		offset=`expr $offset + $s`
    done
    if test x"$quiet" = xn; then
		echo " All good."
    fi
}

UnTAR()
{
    if test x"$quiet" = xn; then
		tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
    else

		tar $1f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
    fi
}

finish=true
xterm_loop=
noprogress=y
nox11=y
copy=none
ownership=y
verbose=n

initargs="$@"

while true
do
    case "$1" in
    -h | --help)
	MS_Help
	exit 0
	;;
    -q | --quiet)
	quiet=y
	noprogress=y
	shift
	;;
    --info)
	echo Identification: "$label"
	echo Target directory: "$targetdir"
	echo Uncompressed size: 40 KB
	echo Compression: none
	echo Date of packaging: Thu Aug 15 09:57:33 CEST 2019
	echo Built with Makeself version 2.3.0 on 
	echo Build command was: "/usr/bin/makeself \\
    \"--noprogress\" \\
    \"--nox11\" \\
    \"--nocomp\" \\
    \"waveshare-setup\" \\
    \"waveshare-spi-console-setup.sh\" \\
    \"Waveshare SPI Touchdisplay Setup für den Konsolenmodus\" \\
    \"./setup.sh\""
	if test x"$script" != x; then
	    echo Script run after extraction:
	    echo "    " $script $scriptargs
	fi
	if test x"" = xcopy; then
		echo "Archive will copy itself to a temporary location"
	fi
	if test x"n" = xy; then
		echo "Root permissions required for extraction"
	fi
	if test x"n" = xy; then
	    echo "directory $targetdir is permanent"
	else
	    echo "$targetdir will be removed after extraction"
	fi
	exit 0
	;;
    --dumpconf)
	echo LABEL=\"$label\"
	echo SCRIPT=\"$script\"
	echo SCRIPTARGS=\"$scriptargs\"
	echo archdirname=\"waveshare-setup\"
	echo KEEP=n
	echo NOOVERWRITE=n
	echo COMPRESS=none
	echo filesizes=\"$filesizes\"
	echo CRCsum=\"$CRCsum\"
	echo MD5sum=\"$MD5\"
	echo OLDUSIZE=40
	echo OLDSKIP=525
	exit 0
	;;
    --lsm)
cat << EOLSM
No LSM.
EOLSM
	exit 0
	;;
    --list)
	echo Target directory: $targetdir
	offset=`head -n 524 "$0" | wc -c | tr -d " "`
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "cat" | UnTAR t
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
	--tar)
	offset=`head -n 524 "$0" | wc -c | tr -d " "`
	arg1="$2"
    if ! shift 2; then MS_Help; exit 1; fi
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "cat" | tar "$arg1" - "$@"
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
    --check)
	MS_Check "$0" y
	exit 0
	;;
    --confirm)
	verbose=y
	shift
	;;
	--noexec)
	script=""
	shift
	;;
    --keep)
	keep=y
	shift
	;;
    --target)
	keep=y
	targetdir=${2:-.}
    if ! shift 2; then MS_Help; exit 1; fi
	;;
    --noprogress)
	noprogress=y
	shift
	;;
    --nox11)
	nox11=y
	shift
	;;
    --nochown)
	ownership=n
	shift
	;;
    --xwin)
	if test "n" = n; then
		finish="echo Press Return to close this window...; read junk"
	fi
	xterm_loop=1
	shift
	;;
    --phase2)
	copy=phase2
	shift
	;;
    --)
	shift
	break ;;
    -*)
	echo Unrecognized flag : "$1" >&2
	MS_Help
	exit 1
	;;
    *)
	break ;;
    esac
done

if test x"$quiet" = xy -a x"$verbose" = xy; then
	echo Cannot be verbose and quiet at the same time. >&2
	exit 1
fi

if test x"n" = xy -a `id -u` -ne 0; then
	echo "Administrative privileges required for this archive (use su or sudo)" >&2
	exit 1	
fi

if test x"$copy" \!= xphase2; then
    MS_PrintLicense
fi

case "$copy" in
copy)
    tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
    mkdir "$tmpdir" || {
	echo "Could not create temporary directory $tmpdir" >&2
	exit 1
    }
    SCRIPT_COPY="$tmpdir/makeself"
    echo "Copying to a temporary location..." >&2
    cp "$0" "$SCRIPT_COPY"
    chmod +x "$SCRIPT_COPY"
    cd "$TMPROOT"
    exec "$SCRIPT_COPY" --phase2 -- $initargs
    ;;
phase2)
    finish="$finish ; rm -rf `dirname $0`"
    ;;
esac

if test x"$nox11" = xn; then
    if tty -s; then                 # Do we have a terminal?
	:
    else
        if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then  # No, but do we have X?
            if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
                GUESS_XTERMS="xterm gnome-terminal rxvt dtterm eterm Eterm xfce4-terminal lxterminal kvt konsole aterm terminology"
                for a in $GUESS_XTERMS; do
                    if type $a >/dev/null 2>&1; then
                        XTERM=$a
                        break
                    fi
                done
                chmod a+x $0 || echo Please add execution rights on $0
                if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
                    exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
                else
                    exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
                fi
            fi
        fi
    fi
fi

if test x"$targetdir" = x.; then
    tmpdir="."
else
    if test x"$keep" = xy; then
	if test x"$nooverwrite" = xy && test -d "$targetdir"; then
            echo "Target directory $targetdir already exists, aborting." >&2
            exit 1
	fi
	if test x"$quiet" = xn; then
	    echo "Creating directory $targetdir" >&2
	fi
	tmpdir="$targetdir"
	dashp="-p"
    else
	tmpdir="$TMPROOT/selfgz$$$RANDOM"
	dashp=""
    fi
    mkdir $dashp $tmpdir || {
	echo 'Cannot create target directory' $tmpdir >&2
	echo 'You should try option --target dir' >&2
	eval $finish
	exit 1
    }
fi

location="`pwd`"
if test x"$SETUP_NOCHECK" != x1; then
    MS_Check "$0"
fi
offset=`head -n 524 "$0" | wc -c | tr -d " "`

if test x"$verbose" = xy; then
	MS_Printf "About to extract 40 KB in $tmpdir ... Proceed ? [Y/n] "
	read yn
	if test x"$yn" = xn; then
		eval $finish; exit 1
	fi
fi

if test x"$quiet" = xn; then
	MS_Printf "Uncompressing $label"
fi
res=3
if test x"$keep" = xn; then
    trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
fi

leftspace=`MS_diskspace $tmpdir`
if test -n "$leftspace"; then
    if test "$leftspace" -lt 40; then
        echo
        echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (40 KB)" >&2
        if test x"$keep" = xn; then
            echo "Consider setting TMPDIR to a directory with more free space."
        fi
        eval $finish; exit 1
    fi
fi

for s in $filesizes
do
    if MS_dd_Progress "$0" $offset $s | eval "cat" | ( cd "$tmpdir"; umask $ORIG_UMASK ; UnTAR xp ) 1>/dev/null; then
		if test x"$ownership" = xy; then
			(PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .;  chgrp -R `id -g` .)
		fi
    else
		echo >&2
		echo "Unable to decompress $0" >&2
		eval $finish; exit 1
    fi
    offset=`expr $offset + $s`
done
if test x"$quiet" = xn; then
	echo
fi

cd "$tmpdir"
res=0
if test x"$script" != x; then
    if test x"$verbose" = x"y"; then
		MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
		read yn
		if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
			eval "\"$script\" $scriptargs \"\$@\""; res=$?;
		fi
    else
		eval "\"$script\" $scriptargs \"\$@\""; res=$?
    fi
    if test "$res" -ne 0; then
		test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
    fi
fi
if test x"$keep" = xn; then
    cd $TMPROOT
    /bin/rm -rf $tmpdir
fi
eval $finish; exit $res
./                                                                                                  0000775 0001750 0001750 00000000000 13525210150 007011  5                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                     ./waveshare35c-overlay.dtb                                                                          0000664 0001750 0001750 00000005070 13515525224 013477  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       
8   8     (            P                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0           ޭ   __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1           ޭ   __overlay__    tft35a_pins                            #                     1            7               fragment@2           ޭ   __overlay__          ?            N       tft35a@0              ilitek,ili9486           Z             ^default          l            v                        Z                                                          ޭ                ޭ                         $        6          <                                         !              6              A                                       H      7   
                        2   .            G   u   7            $          :   U    6   (    )         1            7         tft35a-ts@1           ti,ads7846           Z            v                         ޭ         ޭ                 <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0         !   ti,swap-xy?       __symbols__       $  (/fragment@1/__overlay__/tft35a_pins       !  4/fragment@2/__overlay__/tft35a@0          $  ;/fragment@2/__overlay__/tft35a-ts@1       __fixups__        *  E/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/tft35a@0:reset-gpios:0 /fragment@2/__overlay__/tft35a@0:dc-gpios:0 /fragment@2/__overlay__/tft35a-ts@1:interrupt-parent:0 /fragment@2/__overlay__/tft35a-ts@1:pendown-gpio:0         __local_fixups__            J/fragment@2/__overlay__/tft35a@0:pinctrl-0:0 /__overrides__:speed:0 /__overrides__:txbuflen:0 /__overrides__:rotate:0 /__overrides__:fps:0 /__overrides__:bgr:0 /__overrides__:debug:0 /__overrides__:swapxy:0           	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate bgr fps buswidth regwidth reset-gpios dc-gpios debug init interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy tft35a_pins tft35a tft35a_ts spi0 fixup                                                                                                                                                                                                                                                                                                                                                                                                                                                                         ./setup.sh                                                                                          0000775 0001750 0001750 00000010313 13525210150 010506  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                     #!/bin/sh

FBDEV="/dev/fb1"

if [ $(whoami) != 'pi' ]; then
  echo "Bitte starten Sie das Installationsskript als User 'pi'!"
  exit 1
fi

printmenu() {
   clear
   echo
   echo " Bitte wählen Sie ihren"
   echo "Waveshare SPI Touchscreen"
   echo "========================="
   echo "\33[1;33m1.\33[0m 2.8inch RPi LCD (A)"
   echo "\33[1;33m2.\33[0m 3.2inch RPi LCD (B)"
   echo "\33[1;33m3.\33[0m 3.2inch RPi LCD (C)"
   echo "\33[1;33m4.\33[0m 3.5inch RPi LCD (A)"
   echo "\33[1;33m5.\33[0m 3.5inch RPi LCD (B)"
   echo "\33[1;33m6.\33[0m 3.5inch RPi LCD (B) v2"
   echo "\33[1;33m7.\33[0m 3.5inch RPi LCD (C)"
   echo "\33[1;33m8.\33[0m 4inch RPi LCD (A)"
   echo "\33[1;33m9.\33[0m 4inch RPi LCD (C)"
   echo "\33[1;33mq.\33[0m Quit"
   echo -n "->"
}

while [ 1 ]
do
   printmenu # printing menu
   read u_option

  #case handling the user inputs
  case $u_option in
     1|2) Overlay="waveshare32b"
	  break;;
     3)   Overlay="waveshare32c"
	  break;;
     4|8) Overlay="waveshare35a"
	  break;;
     5)   Overlay="waveshare35b"
	  break;;
     6)   Overlay="waveshare35b-v2"
	  break;;
     7)   Overlay="waveshare35c"
	  break;;
     9)   Overlay="waveshare4c"
	  break;;
     q)   echo "Skript beendet!"
          exit 0;;
     *) echo "Ungültige Auswahl!"
	sleep 1
   esac
done

if [ ! -f /boot/cmdline.txt ]; then
  echo "Keine /boot/cmdline.txt , beende..."
  exit 1
fi

if [ ! -f /boot/config.txt ]; then
  echo "Keine /boot/config.txt , beende..."
  exit 1
fi

#sudo apt-get update
#sudo apt-get upgrade
sudo apt-get -y install libts-bin

echo -n "Konfiguriere Display."
sudo cp $Overlay-overlay.dtb /boot/overlays/
sudo chmod 755 /boot/overlays/$Overlay-overlay.dtb
sudo chown root.root /boot/overlays/$Overlay-overlay.dtb

echo -n .
grep -q "fbcon=map:10" /boot/cmdline.txt || \
	sudo perl -pi -e 's;(^.*$);\1 fbcon=map:10;' /boot/cmdline.txt

echo -n .
if $(grep -q "^dtoverlay=waveshare" /boot/config.txt); then
  sudo perl -pi -e 's;^dtoverlay=waveshare.*;dtoverlay='$Overlay';' /boot/config.txt
else
  echo dtoverlay=$Overlay | sudo tee -a /boot/config.txt >/dev/null
fi

echo -n .
cat <<EOF | sudo tee /etc/udev/rules.d/95-ads7846.rules >/dev/null
SUBSYSTEM=="input", KERNEL=="event[0-9]*", ATTRS{name}=="ADS7846*", SYMLINK+="input/touchscreen"
EOF

echo -n .
cat <<EOF | sudo tee /etc/profile.d/tslib.sh >/dev/null
export TSLIB_TSDEVICE=/dev/input/touchscreen
export TSLIB_FBDEVICE=$FBDEV
EOF

echo -n .
cat <<EOF | sudo tee /etc/sudoers.d/tslib >/dev/null
Defaults env_keep += "TSLIB_TSDEVICE TSLIB_FBDEVICE"
EOF
sudo chmod 0440 /etc/sudoers.d/tslib

echo -n .
cat <<EOF | sudo tee /etc/profile.d/sdl.sh >/dev/null
export SDL_VIDEODRIVER=fbcon
export SDL_FBDEV=$FBDEV
if [ -e /dev/input/touchscreen ]; then
  export SDL_MOUSEDRV=TSLIB
  export SDL_MOUSEDEV=/dev/input/touchscreen
fi
EOF

echo -n .
cat <<EOF | sudo tee /etc/sudoers.d/sdl >/dev/null
Defaults env_keep += "SDL_VIDEODRIVER SDL_FBDEV SDL_MOUSEDRV SDL_MOUSEDEV"
EOF
sudo chmod 0440 /etc/sudoers.d/sdl

echo -n .
sudo mkdir -p /etc/systemd/system.conf.d/
cat <<EOF | sudo tee /etc/systemd/system.conf.d/10-SDL-TSLIB-env.conf >/dev/null
[Manager]
DefaultEnvironment="SDL_VIDEODRIVER=fbcon" "SDL_FBDEV=$FBDEV" "SDL_MOUSEDRV=TSLIB" "SDL_MOUSEDEV=/dev/input/touchscreen" "TSLIB_TSDEVICE=/dev/input/touchscreen" "TSLIB_FBDEVICE=$FBDEV"
EOF
sudo chmod 0644 /etc/systemd/system.conf.d/10-SDL-TSLIB-env.conf

if [ -f /etc/environment ]; then
  if ! grep -q 'TSLIB_FBDEVICE' /etc/environment; then
    echo "TSLIB_FBDEVICE=$FBDEV" | sudo tee -a /etc/environment >/dev/null
  fi
  if ! grep -q 'TSLIB_TSDEVICE' /etc/environment; then
    echo "TSLIB_TSDEVICE=/dev/input/touchscreen" | sudo tee -a /etc/environment >/dev/null
  fi
  if ! grep -q 'SDL_VIDEODRIVER' /etc/environment; then
    echo SDL_VIDEODRIVER=fbcon | sudo tee -a /etc/environment >/dev/null
  fi
  if ! grep -q 'SDL_FBDEV' /etc/environment; then
    echo "SDL_FBDEV=$FBDEV" | sudo tee -a /etc/environment >/dev/null
  fi
  if ! grep -q 'SDL_MOUSEDRV' /etc/environment; then
    echo SDL_MOUSEDRV=TSLIB | sudo tee -a /etc/environment >/dev/null
  fi
fi

echo ".Fertig!"
sleep 1
echo
echo "===================="
echo "Bitte Rebooten..."
echo 
echo "dann als user \"pi\""
echo "\"sudo ts_calibrate\""
echo "ausführen."
echo "===================="
echo

                                                                                                                                                                                                                                                                                                                     ./waveshare35a-overlay.dtb                                                                          0000664 0001750 0001750 00000005172 13515525172 013502  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       
z   8  	   (            b                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0           ޭ   __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1           ޭ   __overlay__    waveshare35a_pins                              #                     1            7               fragment@2           ޭ   __overlay__          ?            N       waveshare35a@0            ilitek,ili9486           Z             ^default          l            v                         Z                                                          ޭ                ޭ                                        :   U  6   (     D                                         H      7   
                        2   .            G   u   7            $                2   .            G   u   7            $          6   (    )         1            7         waveshare35a-ts@1             ti,ads7846           Z            v                         ޭ         ޭ                 <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0         !   ti,swap-xy?       __symbols__       *  (/fragment@1/__overlay__/waveshare35a_pins         '  :/fragment@2/__overlay__/waveshare35a@0        *  G/fragment@2/__overlay__/waveshare35a-ts@1         __fixups__        *  W/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/waveshare35a@0:reset-gpios:0 /fragment@2/__overlay__/waveshare35a@0:dc-gpios:0 /fragment@2/__overlay__/waveshare35a-ts@1:interrupt-parent:0 /fragment@2/__overlay__/waveshare35a-ts@1:pendown-gpio:0         __local_fixups__            \/fragment@2/__overlay__/waveshare35a@0:pinctrl-0:0 /__overrides__:speed:0 /__overrides__:txbuflen:0 /__overrides__:rotate:0 /__overrides__:fps:0 /__overrides__:bgr:0 /__overrides__:debug:0 /__overrides__:swapxy:0             	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate bgr fps buswidth regwidth reset-gpios dc-gpios debug init interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy waveshare35a_pins waveshare35a waveshare35a_ts spi0 fixup                                                                                                                                                                                                                                                                                                                                                                                                       ./waveshare4c-overlay.dtb                                                                           0000664 0001750 0001750 00000005120 13515525260 013407  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       
P   8  	    (            P                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0           ޭ   __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1           ޭ   __overlay__    tft35a_pins                            #                     1            7               fragment@2           ޭ   __overlay__          ?            N       tft35a@0              ilitek,ili9486           Z             ^default          l            v                        Z                                                          ޭ                ޭ                         <               6   h  :                                                        ]     1     @              )         3            	            +   <   D   K               !        	            '   ;   D   M               !  6        <     i      )         1            7         tft35a-ts@1           ti,ads7846           Z            v                         ޭ         ޭ                 <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0         !   ti,swap-xy?       __symbols__       $  (/fragment@1/__overlay__/tft35a_pins       !  4/fragment@2/__overlay__/tft35a@0          $  ;/fragment@2/__overlay__/tft35a-ts@1       __fixups__        *  E/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/tft35a@0:reset-gpios:0 /fragment@2/__overlay__/tft35a@0:dc-gpios:0 /fragment@2/__overlay__/tft35a-ts@1:interrupt-parent:0 /fragment@2/__overlay__/tft35a-ts@1:pendown-gpio:0         __local_fixups__            J/fragment@2/__overlay__/tft35a@0:pinctrl-0:0 /__overrides__:speed:0 /__overrides__:txbuflen:0 /__overrides__:rotate:0 /__overrides__:fps:0 /__overrides__:bgr:0 /__overrides__:debug:0 /__overrides__:swapxy:0           	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate bgr fps buswidth regwidth reset-gpios dc-gpios debug init interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy tft35a_pins tft35a tft35a_ts spi0 fixup                                                                                                                                                                                                                                                                                                                                                                                                                                                 ./waveshare32c-overlay.dtb                                                                          0000664 0001750 0001750 00000004413 13515525161 013474  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       	   8     (            G                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0              __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1              __overlay__    tft9341_pins                               #                     1            7               fragment@2              __overlay__          ?            N       tft9341@0             ilitek,ili9340           Y             ]default          k            u                        Z                                                                                                       1            7         tft9341-ts@1              ti,ads7846           Y            u                                                   <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0            swap-xy?          __symbols__       %  "/fragment@1/__overlay__/tft9341_pins          "  //fragment@2/__overlay__/tft9341@0         %  7/fragment@2/__overlay__/tft9341-ts@1          __fixups__        *  B/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/tft9341@0:reset-gpios:0 /fragment@2/__overlay__/tft9341@0:dc-gpios:0 /fragment@2/__overlay__/tft9341-ts@1:interrupt-parent:0 /fragment@2/__overlay__/tft9341-ts@1:pendown-gpio:0         __local_fixups__       fragment@2     __overlay__    tft9341@0            k                __overrides__                                                                                                        	compatible target status brcm,pins brcm,function linux,phandle #address-cells size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate fps bgr buswidth regwidth reset-gpios dc-gpios debug interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy tft9341_pins tft9341 tft9341_ts spi0                                                                                                                                                                                                                                                      ./waveshare35b-overlay.dtb                                                                          0000664 0001750 0001750 00000005060 13515525203 013472  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       
0   8     (            \                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0           ޭ   __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1           ޭ   __overlay__    waveshare35b_pins                              #                     1            7               fragment@2           ޭ   __overlay__          ?            N       waveshare35b@0            ilitek,ili9486           Z             ^default          l            v                         Z                                                          ޭ                ޭ                                         :   U  6   (  !     	   	     A             6         ,   ,            L   d   6                           7   7            P   2   6                         )         1            7         waveshare35b-ts@1             ti,ads7846           Z            v                         ޭ         ޭ                 <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0         !   ti,swap-xy?       __symbols__       *  (/fragment@1/__overlay__/waveshare35b_pins         '  :/fragment@2/__overlay__/waveshare35b@0        *  G/fragment@2/__overlay__/waveshare35b-ts@1         __local_fixups__       fragment@2     __overlay__    waveshare35b@0           l                __overrides__                                                                                        !             __fixups__        *  W/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/waveshare35b@0:reset-gpios:0 /fragment@2/__overlay__/waveshare35b@0:dc-gpios:0 /fragment@2/__overlay__/waveshare35b-ts@1:interrupt-parent:0 /fragment@2/__overlay__/waveshare35b-ts@1:pendown-gpio:0            	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate bgr fps buswidth regwidth reset-gpios dc-gpios debug init interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy waveshare35b_pins waveshare35b waveshare35b_ts spi0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 ./waveshare32b-overlay.dtb                                                                          0000664 0001750 0001750 00000004144 13515525150 013472  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       d   8  0   (            4                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0           ޭ   __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1           ޭ   __overlay__    waveshare32b_pins                              #                     1            7               fragment@2           ޭ   __overlay__          ?            N       waveshare32b@0            ilitek,ili9340           Z             ^default          l            v $             Z                                           ޭ                ޭ                             1            7         waveshare35a-ts@1             ti,ads7846           Z         waveshare32b_ts@1             ti,ads7846           Z            v                         ޭ         ޭ                 <                          __overrides__              spi-max-frequency:0             rotate:0          
      fps:0               debug:0       __symbols__       *  
/fragment@1/__overlay__/waveshare32b_pins         '  /fragment@2/__overlay__/waveshare32b@0        __fixups__        *  )/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/waveshare32b@0:reset-gpios:0 /fragment@2/__overlay__/waveshare32b@0:dc-gpios:0 /fragment@2/__overlay__/waveshare32b_ts@1:interrupt-parent:0 /fragment@2/__overlay__/waveshare32b_ts@1:pendown-gpio:0         __local_fixups__            ./fragment@2/__overlay__/waveshare32b@0:pinctrl-0:0 /__overrides__:speed:0 /__overrides__:rotate:0 /__overrides__:fps:0 /__overrides__:debug:0            	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency rotate fps bgr buswidth reset-gpios dc-gpios debug interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed waveshare32b_pins waveshare32b spi0 fixup                                                                                                                                                                                                                                                                                                                                                                                                                             ./waveshare35b-v2-overlay.dtb                                                                       0000664 0001750 0001750 00000005054 13515525214 014024  0                                                                                                    ustar   pi                              pi                                                                                                                                                                                                                       
,   8     (            \                               '    brcm,bcm2835 brcm,bcm2708 brcm,bcm2709     fragment@0              __overlay__          okay       spidev@0          	   disabled          spidev@1          	   disabled                fragment@1              __overlay__    waveshare35b_pins                              #                     1            7               fragment@2              __overlay__          ?            N       waveshare35b@0            ilitek,ili9486           Z             ^default          l            v                         Z                                                                                                                   !  :   U     3              6   (                             :   V   M      
      0   >                           8   4   M            1   7         )         1            7         waveshare35b-ts@1             ti,ads7846           Z            v                                                   <                      1            7               __overrides__              spi-max-frequency:0             txbuflen:0              rotate:0          
      fps:0         
      bgr:0               debug:0         !   ti,swap-xy?       __symbols__       *  (/fragment@1/__overlay__/waveshare35b_pins         '  :/fragment@2/__overlay__/waveshare35b@0        *  G/fragment@2/__overlay__/waveshare35b-ts@1         __fixups__        *  W/fragment@0:target:0 /fragment@2:target:0            /fragment@1:target:0 /fragment@2/__overlay__/waveshare35b@0:reset-gpios:0 /fragment@2/__overlay__/waveshare35b@0:dc-gpios:0 /fragment@2/__overlay__/waveshare35b-ts@1:interrupt-parent:0 /fragment@2/__overlay__/waveshare35b-ts@1:pendown-gpio:0         __local_fixups__       fragment@2     __overlay__    waveshare35b@0           l                __overrides__                                                                                        !                	compatible target status brcm,pins brcm,function linux,phandle #address-cells #size-cells reg pinctrl-names pinctrl-0 spi-max-frequency txbuflen rotate bgr fps buswidth regwidth reset-gpios dc-gpios debug init interrupts interrupt-parent pendown-gpio ti,x-plate-ohms ti,pressure-max speed swapxy waveshare35b_pins waveshare35b waveshare35b_ts spi0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     